<template>
  <span @click="onClick">{{ pageNumber }}</span>
</template>

<script>
export default {
  props: {
    pageNumber: {
      type: [Number, String],
      required: true
    }
  },
  methods: {
    onClick() {
      if (typeof this.pageNumber === 'number') {
        this.$emit('loadPage', this.pageNumber)
      }
    }
  }
}
</script>

<style scoped lang="scss">
span {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
}
</style>
